Subject: Re: bug#20695: 25.0.50; ERC Multiple connections to the same server results in message routing errors

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2015 19:19:19 +0100

Emacs Watcher <[email-masked]> writes:

> In ERC, when I connect to the same server more than once with different
> credentials on each connection, there are issues.
>
> 1. On connections beyond the first, the new user is instantly joined
> to channels
> the previous users were in.

I can reproduce this bug.

> 2. Incoming messages are replicated in each channel once for each
> account.

I'm not sure that's a bug, though...  if both accounts have joined the
channels (for some reason or other), incoming messages should probably
be displayed twice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no